/* SFRtables - generate table code for SFR reading and writing */
#include <stdio.h>

int main()
{
	int sfr;
	
	/* generate jump table for reader */
	printf("read_sfr_table:\n");
	for(sfr=0x80;sfr!=0x100;sfr++)
	{
		printf("\tajmp read_sfr_%xh\n",sfr);
	}
	printf("	; read_sfr subroutines...\n");
	for(sfr=0x80;sfr!=0x100;sfr++)
	{
		printf("read_sfr_%xh:\n",sfr);
		printf("\tmov A,0%xh\n\tret\n",sfr);
	}
	
	printf("write_sfr_table:\n");
	for(sfr=0x80;sfr!=0x100;sfr++)
	{
		printf("\tajmp write_sfr_%xh\n",sfr);
	}
	printf("	; write_sfr subroutines...\n");
	for(sfr=0x80;sfr!=0x100;sfr++)
	{
		printf("write_sfr_%xh:\n",sfr);
		printf("\tmov 0%xh,r7\n\tret\n",sfr);
	}
	
	return(0);
}



